Bug 112201 - FILEOPEN: DOCX thesis template with missing name and logo of university on 2nd page
Summary: FILEOPEN: DOCX thesis template with missing name and logo of university on 2n...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords: filter:docx
Depends on:
Blocks: DOCX-Header-Footer DOCX-Section
  Show dependency treegraph
 
Reported: 2017-09-04 05:21 UTC by Mike
Modified: 2020-03-19 14:47 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
test case (123.18 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-09-04 05:22 UTC, Mike
Details
picture, that shows the differences (216.20 KB, application/vnd.oasis.opendocument.graphics)
2017-09-04 05:22 UTC, Mike
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike 2017-09-04 05:21:18 UTC
Description:
On page 2 the name and logo of the university is missing in the template.

Steps to Reproduce:
1. Open file 


Actual Results:  
No Name and Logo of the university shown.

Expected Results:
Logo and name of the university is shown.


Reproducible: Always

User Profile Reset: No

Additional Info:
I reported this bug in report 112172 with 3 other issues.
here https://bugs.documentfoundation.org/show_bug.cgi?id=112172
Xisco Fauli asked me to post the issues seperatly.


Version: 6.0.0.0.alpha0+ (x64)
Build ID: 9600f5179795380749aa5a7c9fa0bf5387d2b95f
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-08-28_00:30:18
Locale: de-DE (de_DE); Calc: group



User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/52.0.2743.116 Safari/537.36
Comment 1 Mike 2017-09-04 05:22:08 UTC
Created attachment 135992 [details]
test case
Comment 2 Mike 2017-09-04 05:22:55 UTC
Created attachment 135993 [details]
picture, that shows the differences
Comment 3 Xisco Faulí 2017-09-04 08:47:11 UTC
Hello,
Thanks for reporting each issue separately.

Confirmed in

- Version: 6.0.0.0.alpha0+
Build ID: 04d70c0999c716f5465631eca50945915ec607c4
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

- Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)

- Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)

- Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e


- LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 4 QA Administrators 2018-09-06 03:00:06 UTC Comment hidden (obsolete, spam)
Comment 5 Michael Weghorn 2019-10-07 07:08:03 UTC
Still reproducible with

Version: 6.4.0.0.alpha0+
Build ID: 49a634425f0d433541f8309f2575c8bdfd67afbe
CPU threads: 4; OS: Linux 5.2; UI render: default; VCL: kf5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

(The logo + name of the university is shown on page 1, but missing on page 2.)
Comment 6 Commit Notification 2019-12-17 14:02:15 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d7e9daf2d21d3bcafaa6aae4aed6c9df5e0999c4

tdf#112201 writerfilter: continuous sections:

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-12-17 14:25:21 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3f680aef65a158cfbc98c8afd1c3628d7f4f7b83

tdf#112201 writerfilter: try to apply continuous section page style...

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-12-17 15:11:27 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/2b8d4903d64557a3f467672ea943202c2cfdf8a2

tdf#112201 writerfilter: continuous sections:

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Michael Stahl (CIB) 2019-12-17 15:28:20 UTC
getting the right header on page 2 is fixed.

getting the right header on page 3 isn't really fixable currently:

      <w:r w:rsidR="001F1586" w:rsidRPr="001F1586">
        <w:rPr>
          <w:szCs w:val="22"/>
        </w:rPr>
        <w:t>zz</w:t>
      </w:r>
      <w:r w:rsidR="001F1586">
        <w:br w:type="page"/>
      </w:r>
    </w:p>
    <w:p w:rsidR="00B13550" w:rsidRPr="00B13550" w:rsidRDefault="00B13550" w:rsidP="00675453">
      <w:pPr>
        <w:pStyle w:val="doktitel3"/>
        <w:tabs>
          <w:tab w:val="left" w:pos="3240"/>
        </w:tabs>
        <w:rPr>
          <w:sz w:val="22"/>
          <w:szCs w:val="22"/>
        </w:rPr>
        <w:sectPr w:rsidR="00B13550" w:rsidRPr="00B13550" w:rsidSect="00A874BD">
          <!-- 3 paragraphs, table, shape -->
          <w:headerReference w:type="default" r:id="rId13"/>
          <w:footerReference w:type="default" r:id="rId14"/>
          <w:type w:val="continuous"/>
          <w:pgSz w:w="11906" w:h="16838" w:code="9"/>
          <w:pgMar w:top="1418" w:right="1134" w:bottom="1985" w:left="1701" w:header="567" w:footer="1134" w:gutter="0"/>
          <w:pgNumType w:chapStyle="1"/>
          <w:cols w:space="708" w:equalWidth="0">
            <w:col w:w="9071" w:space="708"/>
          </w:cols>
          <w:titlePg/>
          <w:docGrid w:linePitch="360"/>
        </w:sectPr>
      </w:pPr>
    </w:p>

here the page break w:br is on a different paragraph than the continuous section break w:sectPr, so it is set as a page-break-before on the last paragraph in the section; for this document it works to add a check for this situation and apply the page style there but we'll have to see if that causes regressions on other documents... without continuous sections in Writer we likely can't do any better.
Comment 10 Commit Notification 2019-12-17 16:59:28 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/91b2644f3955defc82279beff12d34c9133f57a2

tdf#112202,tdf#112201 sw: add test

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-12-17 17:24:49 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/39108ddebe9abd229b9b215c7e78452687422b37

tdf#112201 writerfilter: try to apply continuous section page style...

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2019-12-18 08:44:49 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/afd7dbe634fc6a0d4b2d4860edda205a9b4ef4c7

tdf#112202,tdf#112201 sw: add test

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.